> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Excluir Fornecedor

> Efetua o soft-delete do fornecedor caso não possua impeditivos (ex: compras vinculadas ativas).

### Path

<ParamField path="id" type="string" required>
  UUID da entidade Fornecedor.
</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "message": "Fornecedor deletado com êxito."
  }
  ```
</ResponseExample>


## OpenAPI

````yaml delete /suppliers/{id}
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /suppliers/{id}:
    delete:
      tags:
        - Suppliers
      summary: Delete a supplier
      operationId: SuppliersController_remove
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''

````